%  rain4.m
% Matlab file for Part 4 of the Raindrops module

disp('**************************************************')
disp('Part 4:  Modeling Small Raindrops');
disp('**************************************************')
disp('  ')    

    format short

    disp('Type c and g to check these parameters')
    disp('are correctly entered from Part 2.')
    disp('  If not, reenter the values.')
    disp(' ')

    disp('Enter MATLAB commands to make n=100 and')
    disp('Delta=0.2/n.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp('-------------------------------------------------')
    disp('First let''s define equally spaced time values:')
    disp('Copy the following commands and paste them as')
    disp('a group at a MATLAB prompt, then execute them.')
    disp(' ')
    disp('     for k=1:n+1 ')
    disp('        t(k)=(k-1)*Delta; ')
    disp('     end ')
    disp(' ')
    disp('To check, type the variable name: t, which')
    disp('should give the times from 0 to 0.2 in')
    disp('steps of .002 seconds.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ') 

    keyboard;
    disp(' ')

    disp('-------------------------------------------------')
    disp('Subscripts in MATLAB cannot start at zero.')
    disp('Thus, we need to initialize v(1) to be the')
    disp('initial velocity v0 = 0.')
    disp('Enter the command: ')
    disp(' ')  
    disp('    v(1)=0;  ')
    disp(' ')

    disp('-------------------------------------------------')
    disp('Now we can put our recursive definition for v(k)')
    disp('in a loop to compute v(2), then v(3), etc.') 
    disp(' ')
    disp('Copy the following commands and paste them as')
    disp('a group at a MATLAB prompt, then execute them.')
    disp(' ')
    disp('     for k=2:n+1 ')
    disp('        v(k)=v(k-1)+(g-c*v(k-1))*Delta; ')
    disp('     end ')
    disp(' ')
    disp('To check, type the variable name: v, which')
    disp('should give the velocity values for each')
    disp('time in vector t.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')
    
    keyboard;   
    disp(' ')

    disp('------------------------------------------------')
    disp('Let''s look at a plot of the (t,v) pairs.')
    disp('We will plot the (t,v) pairs using the')
    disp('little-o plot symbol in red.')
    disp('Since the slope field plot was held earlier,')
    disp('our plot should be on top of the slope field.')
    disp(' ')
    disp('Copy each of the following commands and')
    disp('paste them as a group at a MATLAB prompt')
    disp('to execute them.')
    disp(' ')
    disp('     plot(t,v,''ro'')      ')
    disp('     axis([0,0.2,0,1])      ')
    disp(' ')
    disp('------------------------------------------------')
    disp('Insert comments for your diary file')
    disp('describing what you see in the plots.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;   
    disp(' ')

    disp('--------------------------------------------')
    disp('Estimate the terminal velocity in feet/sec.')
    disp('(Hint: You can get the k-th point on the')
    disp(' velocity curve by typing v(k), where k')
    disp(' is a specific number.)')
    disp(' ')
    disp('Put your answers for the terminal velocity,')
    disp('both in units of ft/sec and mi/hr, into your')
    disp('diary file.  Comment there on whether these')
    disp('results seem reasonable.')
    disp(' ')
    disp('------------------------------------------------------')
    disp('To go on to part 5 of this module,')
    disp('type: rain5')
    disp(' ')